[arch-commits] Commit in moon-lander/trunk (PKGBUILD)

Allan McRae allan at archlinux.org
Sun Nov 15 02:12:37 EST 2009


    Date: Sunday, November 15, 2009 @ 02:12:37
  Author: allan
Revision: 58810

upgpkg: moon-lander 1.0-5
    sdl_mixer rebuild, fix crash (FS#17045), add desktop file

Modified:
  moon-lander/trunk/PKGBUILD

----------+
 PKGBUILD |   14 +++++++++++---
 1 file changed, 11 insertions(+), 3 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-11-15 06:55:57 UTC (rev 58809)
+++ PKGBUILD	2009-11-15 07:12:37 UTC (rev 58810)
@@ -4,20 +4,25 @@
 
 pkgname=moon-lander
 pkgver=1.0
-pkgrel=4
+pkgrel=5
 pkgdesc="An addictive game of skill where you must land a space-ship on the moon at a perfect speed."
 arch=('i686' 'x86_64')
 url="None"
 license=('BSD')
-depends=('sdl' 'sdl_mixer' 'sdl_image' 'libvorbis')
+depends=('sdl' 'sdl_mixer>=1.2.10' 'sdl_image' 'libvorbis')
 source=(http://ftp.debian.org/debian/pool/main/m/moon-lander/${pkgname}_$pkgver.orig.tar.gz 
+	moon-lander-background.patch
+	moon-lander.desktop
         LICENSE)
 md5sums=('5726de9d85b9e8b60c27f2ea6428bc96'
+         'd6b948632202ddcda78da4bb1fcd021a'
+         '8bba1446183337ab24b427cb92a118f8'
          '883198142cca0450dfaab47ec26ac8c2')
 
 build() {
   cd $srcdir/$pkgname
   sed -i "/DATAPATH/{s#\"\"#\"/usr/share/moon-lander/\"#}" moon_lander.c
+  patch -Np1 -i ${srcdir}/moon-lander-background.patch || return 1
   make clean
   make || return 1
 
@@ -26,6 +31,9 @@
     install -m644 $dir/* $pkgdir/usr/share/$pkgname/$dir
   done
   install -Dm755 moon-lander.bin $pkgdir/usr/bin/moon-lander
+  
+  install -Dm644 $srcdir/moon-lander.desktop \
+    $pkgdir/usr/share/applications/moon-lander.desktop
 
-  install -Dm644 $srcdir/LICENSE $startdir/pkg/usr/share/licenses/$pkgname/LICENSE
+  install -Dm644 $srcdir/LICENSE $pkgdir/usr/share/licenses/$pkgname/LICENSE
 }



More information about the arch-commits mailing list